### Home Classes Methods

### In Files

- lib/kramdown/utils/entities.rb

### Namespace

- CLASS Kramdown::Utils::Entities::Entity

### Methods

- ::entity
- #entity

### Class/Module Index

Quicksearch

- Kramdown
- Kramdown::Converter
- Kramdown::Converter::Base
- Kramdown::Converter::Html
- Kramdown::Converter::Kramdown
- Kramdown::Converter::Latex
- Kramdown::Converter::RemoveHtmlTags
- Kramdown::Converter::Toc
- Kramdown::Document
- Kramdown::Element
- Kramdown::Error
- Kramdown::Options
- Kramdown::Options::Boolean
- Kramdown::Parser
- Kramdown::Parser::Base
- Kramdown::Parser::GFM
- Kramdown::Parser::Html
- Kramdown::Parser::Html::Constants
- Kramdown::Parser::Html::ElementConverter
- Kramdown::Parser::Html::Parser
- Kramdown::Parser::Kramdown
- Kramdown::Parser::Markdown
- Kramdown::Utils
- Kramdown::Utils::Entities
- Kramdown::Utils::Entities::Entity
- Kramdown::Utils::Html
- Kramdown::Utils::OrderedHash
- Kramdown::Utils::Unidecoder

No matching classes.

# Kramdown::Utils::Entities

Provides convenience methods for handling named and numeric entities.

### Constants

ENTITY_MAP

  Contains the mapping of code point (or name) to the actual Entity object.

ENTITY_TABLE

  Array of arrays. Each sub-array specifies a code point and the associated name.

  This table is not used directly -- Entity objects are automatically created from it and put into a Hash map when this file is loaded.

### Public Class Methods

entity(point_or_name) click to toggle source

Return the entity for the given code point or name `point_or_name`.

    # File lib/kramdown/utils/entities.rb, line 324
    def entity(point_or_name)
      ENTITY_MAP[point_or_name]
    end

### Private Instance Methods

entity(point_or_name) click to toggle source

Return the entity for the given code point or name `point_or_name`.

    # File lib/kramdown/utils/entities.rb, line 324
    def entity(point_or_name)
      ENTITY_MAP[point_or_name]
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.